AntiFeatures:
  - Tracking
Categories:
  - Development
License: GPL-3.0-only
AuthorName: Manichord Pty Ltd
AuthorEmail: maks@manichord.com
WebSite: https://manichord.com/projects/mgit.html
SourceCode: https://github.com/maks/MGit
IssueTracker: https://github.com/maks/MGit/issues
Changelog: https://github.com/maks/MGit/releases
Donate: http://projects.sheimi.me/SGit

AutoName: MGit
Description: |-
    A git client and text editor, forked from no longer maintained
    https://f-droid.org/packages/me.sheimi.sgit.

    Antifeatures:
    * Tracking: You can't run the app unless you agree to send error and
    crash reports to the developers Sentry.io account. The reports will contain
    information about the device you are using, a unique randomly generated ID
    and potentially some metadata about the git repo that you are using.

RepoType: git
Repo: https://github.com/maks/MGit.git

Builds:
  - versionName: 1.5.0
    versionCode: 201
    commit: v1.5.0-2
    gradle:
      - yes

  - versionName: 1.5.1
    versionCode: 202
    commit: v1.5.1
    gradle:
      - yes

  - versionName: 1.5.2
    versionCode: 203
    commit: v1.5.2
    gradle:
      - yes

  - versionName: 1.5.3
    versionCode: 204
    commit: v1.5.3
    gradle:
      - yes

  - versionName: 1.5.4.3
    versionCode: 208
    commit: v1.5.4.3
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.4.4
    versionCode: 209
    commit: v1.5.4.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.4.5
    versionCode: 210
    commit: v1.5.4.5
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.4.6
    versionCode: 211
    commit: v1.5.4.6
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.4.7
    versionCode: 212
    commit: v1.5.4.7
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.5
    versionCode: 213
    commit: v1.5.5
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.5.1
    versionCode: 214
    commit: v1.5.5.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.9
    versionCode: 219
    commit: v1.5.9
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.10
    versionCode: 220
    commit: v1.5.10
    subdir: app
    gradle:
      - yes

  - versionName: 1.6.1
    versionCode: 222
    commit: 6574cbf7a987b8301e694316208c3562f9bbc27f
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.6.1
CurrentVersionCode: 222
